'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (opts, config) {

  var remoteFuncName = config.functionNamespace ? config.functionNamespace + '-' + opts.funcName : opts.funcName;

  var baseParams = {
    restApiId: config.apiId,
    resourceId: opts.resourceId,
    httpMethod: opts.httpMethod
  };

  return (0, _apiGateway.putMethod)((0, _lodash.assign)({ authorizationType: 'None' }, baseParams)).then(function () {
    var attrs = {
      type: 'AWS',
      integrationHttpMethod: 'POST',
      uri: 'arn:aws:apigateway:' + config.region + ':lambda:path/2015-03-31/functions/arn:aws:lambda:us-east-1:' + config.accountId + ':function:' + remoteFuncName + ':${stageVariables.functionAlias}/invocations',
      requestTemplates: {}
    };

    attrs.requestTemplates[opts.contentType] = _mapping2.default;

    return (0, _apiGateway.putIntegration)((0, _lodash.assign)(attrs, baseParams));
  }).then(function () {
    var attrs = {
      statusCode: opts.statusCode,
      responseTemplates: {}
    };

    attrs.responseTemplates[opts.contentType] = null;

    return (0, _apiGateway.putIntegrationResponse)((0, _lodash.assign)(attrs, baseParams));
  }).then(function () {
    var attrs = {
      statusCode: opts.statusCode
    };

    return (0, _apiGateway.putMethodResponse)((0, _lodash.assign)(attrs, baseParams));
  });
};

var _mapping = require('./templates/mapping');

var _mapping2 = _interopRequireDefault(_mapping);

var _apiGateway = require('../util/api-gateway');

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }